import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/bus/userInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/bus/userInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/bus/userInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/bus/userInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/bus/userInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/bus/userInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/bus/userInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function changePassword(formData) {
  return request.post(constant.serverUrl + "/bus/userInfo/changePassword", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,changePassword
}